Bug 94069 - RFE: App Server should remain a running process after shutting down the IDE
RFE: App Server should remain a running process after shutting down the IDE
Status: NEW
Product: serverplugins
Classification: Unclassified
Component: Infrastructure
6.x
All Windows XP
: P3 (vote)
: 6.x
Assigned To: Petr Hejl
issues@serverplugins
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-02 20:10 UTC by bugbridge
Modified: 2007-08-30 17:36 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bugbridge 2007-02-02 20:10:33 UTC
Original status: 1-Dispatched; Suggested Status: NEW

Original Target Release: shortfin_dev; Suggested Target Milestone : 5.5


Original submitter: sjangity

Description:
From email...

On Thursday 21 September 2006 09:26, Sandeep Jangity wrote:
> > Good point, Sakthi.
> >
> > Marco, can this be treated as a bug? I just think it would speed up the
> > development time if the user can quit the IDE and restart it when needed
> > and know that the IDE is in the same state that they left it in. Maybe...?

That's an area where Creator (..., Leopard) differed from NB. NB always 
shutdown down the servers it starts. We for Creator thought we should keep 
them running.

Now we have the NB behavior since we are NB.

So it's not a bug, it's a feature;-) Do I agree??

Thanks,
-- Marco


> >
> > Thanks,
> > Sandeep
> >
> > xxx@xxxx wrote:
>> > > Atleast, with Leopard it is not this way.
>> > >
>> > > Installer starts PE and it stays open when installer is closed and IDE
>> > > is started.
>> > > Starting Derby from Leopard IDE makes it stay open, until you close it.
>> > > It is the same with PE in Leopard. Start PE from inside or outside of
>> > > IDE, it stays running until you close it.
>> > >
>> > > Lark Fitzgerald wrote:
>>> > >> I'm pretty sure that's right.  When you start the app server from the
>>> > >> ide, it is a child of the ide.  Child processes get kill off when the
>>> > >> parent is shut down, otherwise its considered an orphan process
>>> > >> (bug).  If you want your app server to stay up, you should start it
>>> > >> outsided of the ide.
>>> > >>
>>> > >> Lark
>>> > >>
>>> > >> Sandeep Jangity wrote:
>>>> > >>> Guys,
>>>> > >>>
>>>> > >>> I just ran a simple r-t navigation test and had configured GF and
>>>> > >>> started the app server from the Runtime tab. I closed the
>>>> > >>> project/IDE. When I restarted, I noticed the App Server was stopped,
>>>> > >>> as verified in the Runtime tab. Does that make sense? Or a bug?
>>>> > >>>
>>>> > >>> Thanks,
>>>> > >>> Sandeep
Comment 1 Marco Walther 2007-02-16 19:42:55 UTC
Somebody should probably decide what to do. 
Comment 2 Libor Kotouc 2007-02-19 09:25:00 UTC
Interesting idea, isn't it, Stepan? What about to ask the user whether to shut
down the server or not?


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo